#ifndef PRSPRIV_H
#define PRSPRIV_H

// Variable type
typedef struct
{
	char *Name;			// Variable name
	int Init;			// Initialization flag
	double Value;		// Variable / Literal value
	entry_t *Flag;		// Temporary used when listing the variables of an expression
} T_Variable;

// Function type
struct function
{
	int Code;
	int NbArg;
	void *Func;
};

struct entry
{
	int Type;
	union
	{
		int Size;
		double Val;
		T_Variable *Var;
		int Func;
		entry_t *Symb;
	} data;
};

extern void prs_set_error (int P_Error);

#endif
