#include <hpgcc49.h>
#include <hpstack.h>

int main (void)
{
	entry_t *expr = NULL;
	double res = 0;
	int ret;

	if ((ret = hps_pop_symb (&expr)) == HPS_OK)
	{
		hps_push_symb (expr);
		if ((ret = prs_alg_eval (expr, &res)) == PRS_OK)
		{
			if ((ret = hps_push_real (res)) != HPS_OK)
			{
				(void) hps_push_str (hps_error (ret));
			}
		}
		else
		{
			(void) hps_push_str (prs_error (ret));
		}
	}
	else
	{
		(void) hps_push_str (hps_error (ret));
	}
	
	return (0);
}
